#include <bits/stdc++.h>

using namespace std;
int a[26]={0};
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    string s;
    int n,b;
    cin>>n>>s;
    if(n<26)
        cout<<"0";
    else if(n==26){
        if(s=="ABCDEFGHIJKLMNOPQRSTUVWXYZ")
            cout<<"1";
        else
            cout<<"0";
    }
    else
        cout<<"0";
    return 0;
}